Bug 500705 - numlock, capslock, scrolllock - acting weirdly and not synced
numlock, capslock, scrolllock - acting weirdly and not synced
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 14:48 EDT by Michal Hlavinka
Modified: 2010-06-28 08:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (35.97 KB, text/plain)
2009-05-13 14:49 EDT, Michal Hlavinka
no flags Details
.xsession-errors (11.82 KB, text/plain)
2009-05-13 14:50 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2009-05-13 14:48:31 EDT
Description of problem:
I use laptop (one keyboard) and usb attached second keyboard. Lately, num lock and others started to behave weirdly - sometimes they are triggered when just typing. Sometimes LED indicators doesn't match actual state. Sometimes LED indicators are not synced (different state on laptop keyboard indicator and usb keyboard indicator)


Version-Release number of selected component (if applicable):
updated F11
I've tried to update packages (koji version) to 
xorg-x11-drv-evdev-2.2.2-1.fc11.x86_64
kernel-2.6.29.3-142.fc11.x86_64
but it makes no difference

How reproducible:
indicators not synced - 100%
doesn't match - 100% (they do match randomly)
triggered when just typing - sometimes

Steps to Reproduce:
1.use numlock on one keyboard
2.try typing
3.
  
Actual results:
numlock indicator is changed only on one keyboard, sometimes it doesn't match actual state. Numlock (or others) sometimes triggered when just typing.

Expected results:
indicators synced and matching actual state, triggered only by appropriate keys

Additional info:
Comment 1 Michal Hlavinka 2009-05-13 14:49:18 EDT
in console everything works as usual
Comment 2 Michal Hlavinka 2009-05-13 14:49:55 EDT
Created attachment 343845 [details]
Xorg.0.log
Comment 3 Michal Hlavinka 2009-05-13 14:50:27 EDT
Created attachment 343846 [details]
.xsession-errors
Comment 4 Bug Zapper 2009-06-09 11:46:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-11-05 13:29:16 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Michal Hlavinka 2009-11-06 04:45:45 EST
1) I no longer have the hardware where I had this issue for first time
2) I no longer use Fedora 11, I'm using Fedora 12 now

the not synced indicators are still the issue in F12

use two keyboards, on one keyboard press caps lock
actual result:
caps lock indicator is 'on' on that keyboard, but 'off' on second keyboard where upper case letters are also printed

expected:
A) turn on indicators on all keyboards
B) handle keyboards separately - write upper case letters only on keyboards where caps lock is switched on


for the part "caps/num/scroll locks triggered randomly when typing:
This never had 100 % reproducibility, so I can't tell now
Comment 7 Bug Zapper 2010-04-27 10:19:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:32:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.